package floor

import "math/rand"

/// EXTENSION 1 : généreration aléatoire ///

// Generatefloor génère un tableau aléatoire (les valeurs sont comprises entre 1 et 4 inclus),
// dont les dimensions sont passées en paramètres
func (f *Floor) Generatefloor(longueur, largeur int) (tableau [][]int) {
	tableau = [][]int{}
	for i := 0; i < largeur; i++ {
		liste := make([]int, longueur)
		tableau = append(tableau, liste)
		for j := 0; j < longueur; j++ {
			tableau[i][j] = rand.Intn(5)
		}
	}
	return tableau
}
